Summary: Snort Log Backend 
Name: mudpit
Version: 1.2
Release: rh73_1
Copyright: GPL
Group: Applications/Internet
Source0: http://www.fidelissec.com/mudpit/%{name}-%{version}.tar.gz
Source1: mudpit.conf
Patch0: mudpit.diff
Url: http://www.fidelissec.com/mudpit.html
BuildRoot: /var/tmp/%{name}-root
Prefix: /usr
Packager: Ralf Spenneberg <ralf@spenneberg.de> - OpenSource Security

%description
Mudpit has been written to satisfy our needs for the intelligent, modular 
and reliable unified format processor.
The following Mudpit features make it exceptionally useful in Snort-based 
IDS devices hosted on Linux/UNIX:
    * Ability to process both alert and log files in parallel, choosing one 
      that contains more information on a particular event.
    * Ability to independently handle outputs of more than one Snort processes 
      on the same computer under separate permission sets.
    * Stability, including support for automatic recovery from network failures
      and outages with no information loss (checkpoints).
    * Modularity and ability to assign more than one output plugin to each 
      spool processor.
    * A generic locking facility that allows separate spool processors to 
      write to the same back-end database simultaneously.
    * "Start and forget" reliability.


%prep
%setup -q 
%patch0
#-n %{name}-%{version} -c

%build
#CFLAGS="$RPM_OPT_FLAGS" \
#cd barnyard-0.1.0
./configure --prefix=/usr --bindir=/usr/sbin --sysconfdir=/etc/mudpit
#--enable-mysql --enable-postgresql
make

%install
make prefix=$RPM_BUILD_ROOT/usr bindir=$RPM_BUILD_ROOT/usr/sbin sysconfdir=$RPM_BUILD_ROOT/etc/mudpit mandir=$RPM_BUILD_ROOT/usr/share/man install
#mv AUTHORS CHANGES README LICENSE
#mv docs ..
mkdir -p $RPM_BUILD_ROOT/etc/mudpit
mkdir -p $RPM_BUILD_ROOT/usr/share/mudpit/output
cp  etc/* $RPM_BUILD_ROOT/etc/mudpit
cp $RPM_SOURCE_DIR/mudpit.conf $RPM_BUILD_ROOT/etc/mudpit
cp  etc/classification.config.sample $RPM_BUILD_ROOT/etc/mudpit/classification.config
cp  etc/gen-msg.map.sample $RPM_BUILD_ROOT/etc/mudpit/gen-msg.map
cp  etc/reference.config.sample $RPM_BUILD_ROOT/etc/mudpit/reference.config
cp  etc/sid-msg.map.sample $RPM_BUILD_ROOT/etc/mudpit/sid-msg.map
cp  output/*/mp*.so $RPM_BUILD_ROOT/usr/share/mudpit/output

%clean
if [ "$RPM_BUILD_ROOT" = "/var/tmp/mudpit-root" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi
						


%files
%defattr(-,root,root)
%doc CHANGES README LICENSE 
%attr(755,root,root)       /usr/sbin/*
%attr(755,root,root)       /usr/share/mudpit/*
%attr(640,root,wheel) %config /etc/mudpit
#%attr(640,root,wheel) %config /etc/snort/classification.config
#%attr(640,root,wheel) %config /etc/snort/gen-msg.map
#%attr(640,root,wheel) %config /etc/snort/sid-msg.map

%changelog
* Sun Apr 13 2003 Ralf Spenneberg <ralf@spenneberg.net>
- first release for Red Hat 7.3
